## python-pyocr 0.8

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python3 -m sphinx
SPHINXPROJ    = PyOCR
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-pyocr 0.3.0

=== debian/changelog ===
python-pyocr (0.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian: Fix capitalization of project name

 -- Paul Liétar <paul@lietar.net>  Tue, 13 Jan 2015 17:21:44 +0000

python-pyocr (0.2.4-2) unstable; urgency=medium

  * debian/rules: do not run tests if DEB_BUILD_OPTIONS contains nocheck
  * debian/copyright: Update tesseract.py path.
  * debian/control: bump Standards-Version to 3.9.6

 -- Paul Liétar <paul@lietar.net>  Sat, 29 Nov 2014 21:54:45 +0000

python-pyocr (0.2.4-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: remove patches which have been upstreamed

 -- Paul Liétar <paul@lietar.net>  Wed, 13 Aug 2014 12:10:37 +0000

python-pyocr (0.2.3-5) unstable; urgency=medium

  [ Paul Liétar ]
  * debian: change package maintainer.

 -- Paul Liétar <paul@lietar.net>  Tue, 12 Aug 2014 17:12:02 +0000

python-pyocr (0.2.3-4) unstable; urgency=medium

  * debian/control: fix depends on python-pil

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 06 Apr 2014 19:40:29 -0400

python-pyocr (0.2.3-3) unstable; urgency=medium

  * debian/control: update Build-Deps for tests

 -- Ross Vandegrift <ross@kallisti.us>  Wed, 02 Apr 2014 18:43:08 -0400

python-pyocr (0.2.3-2) unstable; urgency=medium

  * debian/control: remove extra whitespace
  * debian/copyright: meet copyright format 1.0
  * debian/rules: fix tests on build
  * debian/patches:
    * 0001-Disable-tests-incompatible-with-Tesseract-3.3.0.patch;
      disable incompatible tests
    * 0002-Fix-missing-comma-from-export-list.patch;
      fix typo in an export list

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 23 Mar 2014 22:51:56 +0000

python-pyocr (0.2.3-1) unstable; urgency=medium

  * New upstream release

  [ Jerome Flesch ]
  * Always strip the Alpha channel before trying to write the temporary images
  * Fix: Take into account that new versions of Tesseract uses the file 
    extension .hocr instead of .html
  * Fix: Make hocr parsing more resistant: there maybe extra data around the 
    box positions

  [ Ross Vandegrift ]
  * debian/patches:
    * 0001-Fix-Take-into-account-that-new-versions-of-Tesseract.patch: 
      remove; released upstream.
    * 0002-Fix-Make-hocr-parsing-more-resistant-there-maybe-ext.patch:
      remove; released upstream.

 -- Ross Vandegrift <ross@kallisti.us>  Thu, 20 Mar 2014 21:18:53 +0000

python-pyocr (0.2.2-3) unstable; urgency=medium

  * Debian release 0.2.2-3
  * Cherry-pick 07bb23 to fix Jessie hocr parsing.

 -- Ross Vandegrift <ross@kallisti.us>  Thu, 20 Mar 2014 12:28:50 +0000

python-pyocr (0.2.2-2) unstable; urgency=medium

  * Debian release 0.2.2-1
  * Cherry-pick 27d490 to fix Jessie tesseract.

 -- Ross Vandegrift <ross@kallisti.us>  Wed, 19 Mar 2014 22:42:41 +0000

python-pyocr (0.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #741877)

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 16 Mar 2014 17:04:15 +0000

=== debian/control ===
Source: python-pyocr
Maintainer: Paul Liétar <paul@lietar.net>
Section: python
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.7), python-setuptools, python3-all, python3-setuptools, python-pil, python3-pil, tesseract-ocr, tesseract-ocr-eng, tesseract-ocr-fra, tesseract-ocr-jpn
Homepage: https://github.com/jflesch/pyocr
Vcs-Browser: https://github.com/plietar/pyocr/tree/debian
Vcs-Git: https://github.com/plietar/pyocr.git -b debian
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-pyocr
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: tesseract-ocr | cuneiform
Description: Python wrapper for OCR engines (Python 2)
 PyOCR is an optical character recognition (OCR) tool wrapper for
 Python. That is, it helps using OCR tools from a Python program.
 .
 PyOCR can be used as a wrapper for google's Tesseract-OCR or
 Cuneiform. It can read all image types supported by Pillow, including
 jpeg, png, gif, bmp, tiff, and others. It also support bounding box
 data.
 .
 This is the Python 2 version of the package.

Package: python3-pyocr
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: tesseract-ocr | cuneiform
Description: Python wrapper for OCR engines (Python 3)
 PyOCR is an optical character recognition (OCR) tool wrapper for
 Python. That is, it helps using OCR tools from a Python program.
 .
 PyOCR can be used as a wrapper for google's Tesseract-OCR or
 Cuneiform. It can read all image types supported by Pillow, including
 jpeg, png, gif, bmp, tiff, and others. It also support bounding box
 data.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=pyocr

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	python$* run_tests.py
endif

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/jflesch/pyocr/tags .*/v?(\d\S*)\.tar\.gz

## python-pyocr 0.4.7

=== debian/changelog ===
python-pyocr (0.4.7-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 06 Sep 2017 15:35:00 -0400

python-pyocr (0.4.7-0mx15+1) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 26 Aug 2017 14:20:19 -0400

python-pyocr (0.4.6-0mx15+1) mx; urgency=medium

  * New Upstream Release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 31 Jan 2017 17:17:19 -0500

python-pyocr (0.3.0-1mx15+1) mx; urgency=medium

  * Rebuilt for MX-15 / MX-16

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 01 Jan 2017 13:29:18 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Paul Liétar <paul@lietar.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 4.1.0
 Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.7), python-setuptools, python3-all, python3-setuptools, python-pil, python3-pil, tesseract-ocr, tesseract-ocr-eng, tesseract-ocr-fra, tesseract-ocr-jpn
 Homepage: https://github.com/jflesch/pyocr
 Vcs-Browser: https://github.com/plietar/pyocr/tree/debian

## python-pyocr 0.7.2

=== debian/changelog ===
python-pyocr (0.7.2-3~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- andyprough <andyprough@protonmail.com>  Wed, 19 Aug 2020 13:03:12 -0500

python-pyocr (0.7.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update standards version to 4.5.0, no changes needed.

  [ Thomas Perret ]
  * debian/control: Bump debhelper compat version

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 12 Aug 2020 00:22:50 +0200

python-pyocr (0.7.2-2) unstable; urgency=medium

  * Add debian/salsa-ci.yml
  * debian/copyright: update list of authors
  * debian/rules: add dh_missing --fail-missing
  * debian/source: use options instead of clean
  * debian/control: bump Standards-Version to 4.4.1

 -- Thomas Perret <thomas.perret@phyx.fr>  Tue, 03 Dec 2019 00:09:06 +0100

python-pyocr (0.7.2-1) unstable; urgency=medium

  * New maintainer by ITS (Closes: #916776)
  * New upstream version 0.7.2 (Closes: #886306, Closes: #926353)
  * debian/copyright:
    + fix url and GPL-3+ text and update contributors list
    + Move deprecated upstream metadata to copyright
  * debian/patches: Drop patch applied upstream
  * debian/control:
    + Update Standards-Version to 4.4.0 (no changes required)
    + Use debhelper-compat instead of debhelper as Build-Depends
    + Remove debian/compat
    + drop python2 package (Closes: #938082)
    + Add Rules-Requires-Root: no
  * debian/rules: Enable test suite
  * debian/tests: Add unittests as DEP-8 autopkgtest

 -- Thomas Perret <thomas.perret@phyx.fr>  Sun, 22 Sep 2019 16:25:46 +0200

python-pyocr (0.5.3-1) UNRELEASED; urgency=medium

  * New maintainer by ITS (Closes: #916776)
  * New upstream version 0.5.3 (Closes: #886306)
  * debian:
    - watch: update upstream source url
    - compat: dump compat to 12
    - control:
      + update upstream URLs
      + drop python2 package
      + dump Standards-Version to 4.3.0
      + add Testsuite
    - add gbp.conf file
    - rules: Update build for 0.5.3 release
    - patches:
      + drop patch applied upstream
      + add patch for tesseract 4.0.0 support
    - add upstream metadata

 -- Thomas Perret <thomas.perret@phyx.fr>  Thu, 03 Jan 2019 16:57:45 +0100

=== debian/control ===
Source: python-pyocr
Maintainer: andyprough <andyprough@protonmail.com>
XSBC-Original-Maintainer: Thomas Perret <thomas.perret@phyx.fr>
Section: python
Priority: optional
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-pytest, python3-pil, python3-setuptools-scm-git-archive
Homepage: https://gitlab.gnome.org/World/OpenPaperwork/pyocr
Vcs-Browser: https://salsa.debian.org/openpaperwork-team/pyocr
Vcs-Git: https://salsa.debian.org/openpaperwork-team/pyocr.git
Rules-Requires-Root: no

Package: python3-pyocr
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: tesseract-ocr | cuneiform
Description: Python wrapper for OCR engines (Python 3)
 PyOCR is an optical character recognition (OCR) tool wrapper for
 Python. That is, it helps using OCR tools from a Python program.
 .
 PyOCR can be used as a wrapper for google's Tesseract-OCR or
 Cuneiform. It can read all image types supported by Pillow, including
 jpeg, png, gif, bmp, tiff, and others. It also support bounding box
 data.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export PYBUILD_NAME=pyocr
export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --with python3 --buildsystem=pybuild

src/pyocr/_version.py: debian/_version.py.in
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< > $@

override_dh_auto_clean: src/pyocr/_version.py
	dh_auto_clean
	rm -f src/pyocr/_version.py

override_dh_auto_configure: src/pyocr/_version.py
	dh_auto_configure

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## python-pyocr 0.8

=== debian/changelog ===
python-pyocr (0.8-1) unstable; urgency=medium

  * New upstream version 0.8
  * debian/control: Bump Standards-Version (no changes needed)
  * debian/rules: remove dh_missing override (default for dh-compat>=13)
  * debian/source: remove useless options
  * debian/tests: reduce fail thresholds
  * debian/copyright: Update Upstream-Contact

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 06 Jan 2021 12:42:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: python-pyocr
-Maintainer: andyprough <andyprough@protonmail.com>
-XSBC-Original-Maintainer: Thomas Perret <thomas.perret@phyx.fr>
+Maintainer: Thomas Perret <thomas.perret@phyx.fr>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-pytest, python3-pil, python3-setuptools-scm-git-archive
 Homepage: https://gitlab.gnome.org/World/OpenPaperwork/pyocr
 Vcs-Browser: https://salsa.debian.org/openpaperwork-team/pyocr

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,3 @@
 
 override_dh_auto_configure: src/pyocr/_version.py
 	dh_auto_configure
-
-override_dh_missing:
-	dh_missing --fail-missing
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: unittests
Depends: @, python3-pytest, python3-pytest-cov

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/pyocr.*\.tar\.gz/python-pyocr-$1\.tar\.gz/g \
  https://gitlab.gnome.org/World/OpenPaperWork/pyocr/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## python-pyocr 0.8.1

=== debian/changelog ===
python-pyocr (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * debian/control:
    + remove setuptools-scm from Build-Depends
    + dumps Standards-Version to 4.6.0.1 (no changes needed)
  * debian/rules: disable setuptools-scm mechanism
  * debian/copyright: update copyright years

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 22 Dec 2021 17:48:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Thomas Perret <thomas.perret@phyx.fr>
 Section: python
 Priority: optional
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-pytest, python3-pil, python3-setuptools-scm-git-archive
+Standards-Version: 4.6.0.1
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-pytest, python3-pil
 Homepage: https://gitlab.gnome.org/World/OpenPaperwork/pyocr
 Vcs-Browser: https://salsa.debian.org/openpaperwork-team/pyocr
 Vcs-Git: https://salsa.debian.org/openpaperwork-team/pyocr.git

## python-pyocr 0.8.2

=== debian/changelog ===
python-pyocr (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2

 -- Thomas Perret <thomas.perret@phyx.fr>  Sun, 17 Apr 2022 18:43:31 +0200

## python-pyocr 0.8.3

=== Makefile ===
PYTHON = python3

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py:
	${PYTHON} ./setup.py build

build_c:

doc: install_py
	(cd doc && make html)
	cp doc/index.html doc/build/index.html

check:
	flake8
# 	pydocstyle src/pyocr

test:
	tox

linux_exe:

windows_exe:

release:
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
else
	@echo "Will release: ${RELEASE}"
	@echo "Checking release is in ChangeLog ..."
	grep ${RELEASE} ChangeLog | grep -v "/xx"
	@echo "Releasing ..."
	git tag -a ${RELEASE} -m ${RELEASE}
	git push origin ${RELEASE}
	make clean
	${PYTHON} ./setup.py sdist
	twine upload dist/pyocr-${RELEASE}.tar.gz
	@echo "All done"
endif

clean:
	rm -rf doc/build
	rm -rf build dist *.egg-info
	rm -rf src/pyocr/__pycache__
	rm -f src/pyocr/_version.py

install_py:
	${PYTHON} ./setup.py install ${PIP_ARGS}

install_c:

uninstall_py:
	pip3 uninstall -y pyocr

uninstall_c:

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make doc"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make release"
	@echo "make test"
	@echo "make uninstall || make uninstall_py"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	doc \
	linux_exe \
	windows_exe \
	help \
	install \
	install_c \
	install_py \
	release \
	test \
	uninstall \
	uninstall_c

=== debian/changelog ===
python-pyocr (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3
  * debian/watch: drop filenamemangling
  * debian/control: bump Standards-Version

 -- Thomas Perret <thomas.perret@phyx.fr>  Sun, 18 Sep 2022 18:03:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Thomas Perret <thomas.perret@phyx.fr>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-pytest, python3-pil
 Homepage: https://gitlab.gnome.org/World/OpenPaperwork/pyocr
 Vcs-Browser: https://salsa.debian.org/openpaperwork-team/pyocr

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,13 @@
 #!/usr/bin/make -f
 
-# export DH_VERBOSE=1
+export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=pyocr
 export PYBUILD_TEST_ARGS=-v
+
+export ENABLE_SETUPTOOLS_SCM=0
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## python-pyocr 0.8.5

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,16 @@
 PYTHON = python3
 
-build: build_c build_py
+build:
+	echo "Run make build_py"
+	echo "or make install"
 
 install: install_py install_c
 
 uninstall: uninstall_py
 
 build_py:
-	${PYTHON} ./setup.py build
+	pip install build
+	build
 
 build_c:
 
@@ -16,11 +19,10 @@
 	cp doc/index.html doc/build/index.html
 
 check:
-	flake8
-# 	pydocstyle src/pyocr
+	flake8 src/ tests/
 
 test:
-	tox
+	pytest -xv tests/
 
 linux_exe:
 
@@ -49,7 +51,7 @@
 	rm -f src/pyocr/_version.py
 
 install_py:
-	${PYTHON} ./setup.py install ${PIP_ARGS}
+	${PYTHON} -m pip install ${PIP_ARGS} .
 
 install_c:

=== debian/changelog ===
python-pyocr (0.8.5-2) unstable; urgency=medium

  * Move to upstream _version.py file generation
  * d/control: Add python3-setuptools-scm to Build-Depends
  * d/rules: Remove _version.py target
  * d/tests/control: Add autodep8-python test

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 06 Dec 2023 20:59:36 +0100

python-pyocr (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5
  * debian/copyright: Update copyright year
  * debian/control:
    + Add pybuild-plugin-pyproject to Build-Depends
    + Bump Standards-Version to 4.6.2 (no changes needed)

 -- Thomas Perret <thomas.perret@phyx.fr>  Mon, 04 Dec 2023 23:17:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Thomas Perret <thomas.perret@phyx.fr>
 Section: python
 Priority: optional
-Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-pytest, python3-pil
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject, python3-all, python3-setuptools, python3-setuptools-scm, python3-pytest, python3-pil
 Homepage: https://gitlab.gnome.org/World/OpenPaperwork/pyocr
 Vcs-Browser: https://salsa.debian.org/openpaperwork-team/pyocr
 Vcs-Git: https://salsa.debian.org/openpaperwork-team/pyocr.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export PYBUILD_NAME=pyocr
export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/pyocr/_version.py

override_dh_auto_configure:
	dh_auto_configure

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import pyocr; print(pyocr)" ; done
Depends: python3-all, python3-pyocr,
Restrictions: allow-stderr, superficial,
Features: test-name=autodep8-python3

Tests: unittests
Depends: @, python3-pytest, python3-pytest-cov

=== debian/watch ===
version=4
https://gitlab.gnome.org/World/OpenPaperWork/pyocr/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
